;;; vhdl-highlight-setup.el --- Set up for highlighting of VHDL source
;;;                             code.
;;
;; Copyright (C) 1995 Ken Wood
;;
;; Author: Ken Wood <ken@eda.com.au>
;; Keywords: VHDL source code highlighting
;; Version: 2.60
;;
;; See vhdl-highlight.el for full details and installation instructions.
;;


;; Make sure that all faces are created here, so that the user can modify
;; them, if desired.
(make-face 'font-lock-variable-name-face)
(make-face 'font-lock-signal-name-face)

(or (face-differs-from-default-p 'font-lock-variable-name-face)
    (set-face-foreground 'font-lock-variable-name-face "magenta3"))

(or (face-differs-from-default-p 'font-lock-signal-name-face)
    (set-face-foreground 'font-lock-signal-name-face  "gold3"))


;;; Some ugly stuff that is necessary to support GNU Emacs as well as
;;; XEmacs.
(cond ((and (eq (device-type) 'x)
	    (eq (device-class) 'color)
	    (string-match "Emacs 19" (emacs-version))
	    (not (string-match "XEmacs" (emacs-version)))
	    (not (internal-find-face 'variable-face))) ;don't redefine
       (progn

	 (autoload 'vhdl-highlight-GNU-emacs-additions "vhdl-highlight"
	   "Autoloadable function" t)

	 (add-hook 'vhdl-mode-hook 'vhdl-highlight-GNU-emacs-additions))))


(autoload 'vhdl-font-lock-update-decoration-level "vhdl-highlight"
  "Autoloadable function" t)


(add-hook 'vhdl-mode-hook 'vhdl-font-lock-update-decoration-level)


;; Set the flag once the file has been loaded successfully.
(provide 'vhdl-highlight-setup)
